{
  "tab_name": "Chat Text Search Alerter",
  "nodes": [
    {
      "id": "node-1746283065191",
      "type": "AlertSoundNode",
      "position": {
        "x": 854.1638317296133,
        "y": 516.4659418511601
      },
      "data": {
        "label": "Alert Sound",
        "content": "Sound alert when input value = 1",
        "audio": "data:audio/wav;base64,[encoded data, 12936 characters]"
      },
      "dragHandle": ".borealis-node-header",
      "width": 232,
      "height": 214,
      "positionAbsolute": {
        "x": 854.1638317296133,
        "y": 516.4659418511601
      },
      "selected": true,
      "dragging": false
    },
    {
      "id": "node-1746283079084",
      "type": "RegexSearch",
      "position": {
        "x": 826.8305081223305,
        "y": 305.8868560603816
      },
      "data": {
        "label": "Thing to Search For",
        "content": "Return 1 or 0 depending on regex match",
        "pattern": "4F|F4",
        "flags": ""
      },
      "dragHandle": ".borealis-node-header",
      "width": 160,
      "height": 63,
      "selected": false,
      "positionAbsolute": {
        "x": 826.8305081223305,
        "y": 305.8868560603816
      },
      "dragging": false
    },
    {
      "id": "node-1746283336373",
      "type": "Borealis_Agent",
      "position": {
        "x": 175.33333333333326,
        "y": 108.66666666666669
      },
      "data": {
        "label": "Borealis Agent",
        "content": "Select and manage an Agent with dynamic roles",
        "agent_id": "lab-operator-01-agent-80be9252"
      },
      "dragHandle": ".borealis-node-header",
      "positionAbsolute": {
        "x": 175.33333333333326,
        "y": 108.66666666666669
      },
      "width": 205,
      "height": 146,
      "selected": false,
      "dragging": false
    },
    {
      "id": "node-1746283354080",
      "type": "Agent_Role_Screenshot",
      "position": {
        "x": 178.49390151447835,
        "y": 308.8065719698093
      },
      "data": {
        "label": "Agent Role: Screenshot",
        "content": "Capture screenshot region via agent",
        "x": 18,
        "y": 963,
        "w": 591,
        "h": 19
      },
      "dragHandle": ".borealis-node-header",
      "width": 160,
      "height": 115,
      "selected": false,
      "positionAbsolute": {
        "x": 178.49390151447835,
        "y": 308.8065719698093
      },
      "dragging": false
    },
    {
      "id": "node-1746283603300",
      "type": "BWThresholdNode",
      "position": {
        "x": 492.601784739305,
        "y": 110.78182722470859
      },
      "data": {
        "label": "BW Threshold",
        "content": "Applies black & white threshold to base64 image input."
      },
      "dragHandle": ".borealis-node-header",
      "width": 160,
      "height": 96,
      "selected": false,
      "positionAbsolute": {
        "x": 492.601784739305,
        "y": 110.78182722470859
      },
      "dragging": false
    },
    {
      "id": "node-1746283604811",
      "type": "Image_Viewer",
      "position": {
        "x": 819.0056893262067,
        "y": 121.39658834948577
      },
      "data": {
        "label": "Image Viewer",
        "content": "Visual preview of base64 image with zoom overlay."
      },
      "dragHandle": ".borealis-node-header",
      "width": 160,
      "height": 69,
      "selected": false,
      "positionAbsolute": {
        "x": 819.0056893262067,
        "y": 121.39658834948577
      },
      "dragging": false
    },
    {
      "id": "node-1746283686611",
      "type": "OCR_Text_Extraction",
      "position": {
        "x": 508.5239264264711,
        "y": 222.23681903487005
      },
      "data": {
        "label": "OCR Text Extraction",
        "content": "Extract Multi-Line Text from Upstream Image Node",
        "engine": "EasyOCR",
        "backend": "GPU",
        "dataType": "Mixed",
        "customRateEnabled": true,
        "customRateMs": 1000,
        "changeThreshold": 0
      },
      "dragHandle": ".borealis-node-header",
      "positionAbsolute": {
        "x": 508.5239264264711,
        "y": 222.23681903487005
      },
      "width": 231,
      "height": 160,
      "selected": false,
      "dragging": false
    }
  ],
  "edges": [
    {
      "source": "node-1746283079084",
      "sourceHandle": null,
      "target": "node-1746283065191",
      "targetHandle": null,
      "type": "step",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1746283079084-node-1746283065191",
      "label": "Search for Tower 4F",
      "labelBgStyle": {
        "fill": "#000000",
        "fillOpacity": 0.8
      },
      "labelStyle": {
        "fill": "#7ed321"
      }
    },
    {
      "source": "node-1746283336373",
      "sourceHandle": "provisioner",
      "target": "node-1746283354080",
      "targetHandle": null,
      "type": "step",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1746283336373provisioner-node-1746283354080",
      "label": "Read Flyff Chat",
      "labelBgStyle": {
        "fill": "#000000",
        "fillOpacity": 0.8
      },
      "labelStyle": {
        "fill": "#7ed321"
      }
    },
    {
      "source": "node-1746283603300",
      "sourceHandle": null,
      "target": "node-1746283604811",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#f8e71c"
      },
      "id": "reactflow__edge-node-1746283603300-node-1746283604811",
      "label": "Processed Flyff Chat",
      "labelStyle": {
        "fill": "#7ed321"
      },
      "labelBgStyle": {
        "fill": "#000000",
        "fillOpacity": 0.8
      }
    },
    {
      "source": "node-1746283354080",
      "sourceHandle": null,
      "target": "node-1746283603300",
      "targetHandle": null,
      "type": "step",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#f8e71c"
      },
      "id": "reactflow__edge-node-1746283354080-node-1746283603300"
    },
    {
      "source": "node-1746283604811",
      "sourceHandle": null,
      "target": "node-1746283686611",
      "targetHandle": null,
      "type": "step",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#58a6ff"
      },
      "id": "reactflow__edge-node-1746283604811-node-1746283686611"
    },
    {
      "source": "node-1746283686611",
      "sourceHandle": null,
      "target": "node-1746283079084",
      "targetHandle": null,
      "type": "bezier",
      "animated": true,
      "style": {
        "strokeDasharray": "6 3",
        "stroke": "#7ed321"
      },
      "id": "reactflow__edge-node-1746283686611-node-1746283079084"
    }
  ]
}